[MIR] fcitx and related packages

Bug #1356222 reported by Aron Xu
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
extra-cmake-modules (Ubuntu)
Undecided
Didier Roche
fcitx (Ubuntu)
Undecided
Adam Conrad
fcitx-anthy (Ubuntu)
Undecided
Didier Roche
fcitx-chewing (Ubuntu)
Undecided
Didier Roche
fcitx-cloudpinyin (Ubuntu)
Undecided
Didier Roche
fcitx-configtool (Ubuntu)
Undecided
Adam Conrad
fcitx-googlepinyin (Ubuntu)
Undecided
Didier Roche
fcitx-hangul (Ubuntu)
Undecided
Didier Roche
fcitx-m17n (Ubuntu)
Undecided
Didier Roche
fcitx-qimpanel (Ubuntu)
Undecided
Didier Roche
fcitx-qt5 (Ubuntu)
Undecided
Adam Conrad
fcitx-sunpinyin (Ubuntu)
Undecided
Didier Roche
fcitx-table-extra (Ubuntu)
Undecided
Didier Roche
fcitx-table-other (Ubuntu)
Undecided
Didier Roche
fcitx-unikey (Ubuntu)
Undecided
Unassigned
libgooglepinyin (Ubuntu)
Undecided
Didier Roche
presage (Ubuntu)
Undecided
Adam Conrad
tinyxml (Ubuntu)
Undecided
Adam Conrad

Bug Description

[Availability]
Currently in universe

[Rationale]
Fcitx is a replacement candidate for IBus

[Security: ]
CVE entries: none
Security history: none
Any binaries running as root or suid/sgid ? Any daemons ?
    -- all running as per user session, and /usr/bin/fcitx and /usr/bin/fcitx-qimpanel will run as daemon, /usr/bin/fcitx-dbus-watcher will be pulled up when fcitx is running.
Network activity: does it open any port ? Does it handle incoming network data ?
    -- fcitx-cloudpinyin deals with network data by using libcurl and interact with remote API from several user-choosable providers.
Does it directly (not through a library) process binary (video, audio, etc) or structured (PDF, etc) data ?
    -- no, it doesn't
Any source code review performed ? (The approver will do a quick and shallow check.)
    -- no.

[Quality Assurance]
Package works out of the box with no prompting.
There is no reproducible major bugs in Ubuntu and Debian.
Upstream is active.
Package is team maintained at Debian, and is the same people working on Debian and Ubuntu.

Upstream bug tracker: https://github.com/fcitx/fcitx
Hardware: Does this package deal with hardware and if so how exotic is it ?
    -- no
Is there a test suite in the upstream source or packaging ? Is it enabled to run in the build ?
    -- yes, some fundamental tests

[UI standards]
    User-visible strings are internationalized using standard gettext system ?
        -- yes
    Package with translatable strings builds a PO template during package build ?
        -- yes
    End-user applications ship a desktop file?
        -- fcitx and fcitx-ui-qimpanel do.

[Standards Compliance]
FHS and Debian Policy compliant.
Packaging system (debhelper/cdbs/dbs) ? Patch system ? Any packaging oddities ?
    -- package is using debhelper,

[Maintenance]
Desktop Team will take care of them

[Dependencies]
librime and brise are for fcitx-rime.

Aron Xu (happyaron)
no longer affects: fcitx-libpinyin (Ubuntu)
description: updated
summary: - [MIR] fcitx fcitx-configtool, fcitx-qimpanel
+ [MIR] fcitx and related packages
Aron Xu (happyaron)
description: updated
Revision history for this message
Didier Roche (didrocks) wrote :
Download full text (8.7 KiB)

-> brise
* BLOCKER: kyotocabinet-utils build-deps is in universe. Please add that one to the MIR if it matches the MIR criterias or drop those.
* BLOCKER: COPYING is GPL3. Some files are LGPL-2+, GPL-2+ and those requires the license to be shipped in the upstream source. Please make upstream to ship those in their tarball.
* MINOR/NEED INFO: any idea why the source has a priority extra?

-------
-> fcitx:
* BLOCKER: presagege is missing as a build-dep, do you mind either not building with it (optional dep) or add it and check it matches the MIR criterias?
* BLOCKER: there are some LGPL files and no COPYING.LGPL file, please ship it in the upstream tarball.
* NEED INFO/FIXING: fcitx-libs-gclient (and a lot of other binary packages): package-name-doesnt-match-sonames. Do you know why we don't follow upstream soname? They are at 0, so package name should be fcitx-libs-gclient0 as it's a public library. Otherwise, it should be in a private path.
* NEED FIXING: I noted the remark on fcitx-libs in debian/README.source, and even if I'm not a fan of the current approach of the 3 libraries in the same package, I think we can live with it. However, we need to have a soname in the end, so that the binary package name can be bumped for any soname breaking in one of the 3 libraries (as some rdepends are not frmothe same source pacakage, like kde-config-fcitx or youker-assistant).
* NEED FIXING: even if it's wrap under a sh call, better to be coherent and get the script executable: W: fcitx-bin: script-not-executable usr/share/fcitx/data/env_setup.sh
* NEED FIXING: debian/copyright:
- fcitx-4.2.8.4/src/frontend/qt/keyserver_x11.h: missing copyright to 2004 Jaroslaw Staniek <email address hidden>
- fcitx-4.2.8.4/src/frontend/xim/lib/XimProto.h: missing the copyright (1992, 1993, 1994 by FUJITSU LIMITED)
- src/ui/kimpanel/kimpanel.c. You set "Copyright: 2008-2010, Zealot.Hoi", but it misses "2010~2012 by CSSlayer *" (files: * doesn't cover it as it's overriden)
- Copyright: 2003-2009, Troy D. Hanson http://uthash.sourceforge.net => it's actually 2003-2010
- Files: src/lib/fcitx-utils/qsort_r.c. Please mention the short name of the license "MIT/X11 (BSD like)"
- fcitx-4.2.8.4/src/lib/fcitx-qt/fcitxqtkeysequencewidget.h and fcitx-4.2.8.4/src/lib/fcitx-qt/fcitxqtkeysequencewidget_p.h: GPL (v2 or later) LGPL (v2 or later)
  Missing: 2007 Andreas Hartmetz <email address hidden> / 2001, 2002 Ellis Whitehead <email address hidden>
- fcitx-4.2.8.4/src/module/lua/luawrap.c/h, fcitx-4.2.8.4/src/module/lua/luamod.c/h:: GPL (v2 or later). [Copyright: 2012~2012 by xubin *] (needs mention)
* MINOR: debian/patches/ubuntu-disable-fcitx-xkb.patch:
do you mind using DEP3 for annotating the patch? (http://dep.debian.net/deps/dep3/)
* MINOR: I think you should add a head to debian/control (after you cp the .in to the control file) to tell to not edit that file as debian/rules, through gencontrol.mk is going to edit and sed it.
* NEEDS INFO: I see that we are running the unit tests at build time. Is there any integration tests that we can run, installing the various modules? (like -anthy, -chewing… and so on…)
-----

-> fcitx-anthy:
* NEEDS FIXING: the package is multi-arch and should be mar...

Read more...

Changed in brise (Ubuntu):
status: New → Incomplete
Changed in fcitx (Ubuntu):
status: New → Incomplete
Changed in fcitx-anthy (Ubuntu):
status: New → Incomplete
Changed in fcitx-cloudpinyin (Ubuntu):
status: New → Incomplete
Changed in fcitx-chewing (Ubuntu):
status: New → Fix Committed
Changed in fcitx-configtool (Ubuntu):
status: New → Incomplete
Changed in fcitx-googlepinyin (Ubuntu):
status: New → Incomplete
Changed in fcitx-hangul (Ubuntu):
status: New → Incomplete
Changed in fcitx-m17n (Ubuntu):
status: New → Incomplete
Changed in fcitx-qimpanel (Ubuntu):
status: New → Incomplete
Changed in fcitx-qimpanel-configtool (Ubuntu):
status: New → Incomplete
Changed in fcitx-qt5 (Ubuntu):
status: New → Incomplete
Changed in fcitx-rime (Ubuntu):
status: New → Incomplete
Changed in fcitx-sunpinyin (Ubuntu):
status: New → Incomplete
Changed in fcitx-table-extra (Ubuntu):
status: New → Incomplete
Changed in fcitx-table-other (Ubuntu):
status: New → Incomplete
Changed in librime (Ubuntu):
status: New → Incomplete
Revision history for this message
Aron Xu (happyaron) wrote : Re: [Bug 1356222] Re: [MIR] fcitx and related packages
Download full text (14.3 KiB)

On Thu, Aug 14, 2014 at 12:21 AM, Didier Roche <email address hidden> wrote:
> -> brise
> * BLOCKER: kyotocabinet-utils build-deps is in universe. Please add that one to the MIR if it matches the MIR criterias or drop those.

Added.

> * BLOCKER: COPYING is GPL3. Some files are LGPL-2+, GPL-2+ and those requires the license to be shipped in the upstream source. Please make upstream to ship those in their tarball.

https://code.google.com/p/rimeime/issues/detail?id=644

> * MINOR/NEED INFO: any idea why the source has a priority extra?
>

At the initial packaging time this engine isn't so popular and the
code does not build on architectures except x86 ones, so it's
considered to suit to a lower priority. Changed in git:
http://anonscm.debian.org/cgit/pkg-ime/brise.git/commit/?id=b56d9e588b5b654bae829b14b3ffa37186d7b266

> -------
> -> fcitx:
> * BLOCKER: presagege is missing as a build-dep, do you mind either not building with it (optional dep) or add it and check it matches the MIR criterias?

Added and checked presage and libtinyxml (b-d/dep of presage) to MIR.
Live without presage is doable, but better avoid that.

> * BLOCKER: there are some LGPL files and no COPYING.LGPL file, please ship it in the upstream tarball.

https://github.com/fcitx/fcitx/issues/169

I can commit but usually don't do that directly.

> * NEED INFO/FIXING: fcitx-libs-gclient (and a lot of other binary packages): package-name-doesnt-match-sonames. Do you know why we don't follow upstream soname? They are at 0, so package name should be fcitx-libs-gclient0 as it's a public library. Otherwise, it should be in a private path.
> * NEED FIXING: I noted the remark on fcitx-libs in debian/README.source, and even if I'm not a fan of the current approach of the 3 libraries in the same package, I think we can live with it. However, we need to have a soname in the end, so that the binary package name can be bumped for any soname breaking in one of the 3 libraries (as some rdepends are not frmothe same source pacakage, like kde-config-fcitx or youker-assistant).

The reason is that we have done this for fcitx-libs before, so that
following the same convention. We plan to change that when next major
release of Fcitx is out, and for now the API/ABI is pretty stable for
a while so there is no real pressure to rush for that.

> * NEED FIXING: even if it's wrap under a sh call, better to be coherent and get the script executable: W: fcitx-bin: script-not-executable usr/share/fcitx/data/env_setup.sh

This is intentional done by upstream, so after some communication I
don't see strong reason to maintain a diff.

> * NEED FIXING: debian/copyright:
> - fcitx-4.2.8.4/src/frontend/qt/keyserver_x11.h: missing copyright to 2004 Jaroslaw Staniek <email address hidden>
> - fcitx-4.2.8.4/src/frontend/xim/lib/XimProto.h: missing the copyright (1992, 1993, 1994 by FUJITSU LIMITED)
> - src/ui/kimpanel/kimpanel.c. You set "Copyright: 2008-2010, Zealot.Hoi", but it misses "2010~2012 by CSSlayer *" (files: * doesn't cover it as it's overriden)
> - Copyright: 2003-2009, Troy D. Hanson http://uthash.sourceforge.net => it's actually 2003-2010
> - Files: src/lib/fcitx-utils/qsort_r.c. Please mention the short...

Aron Xu (happyaron)
Changed in fcitx (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Didier Roche (didrocks)
Changed in fcitx-anthy (Ubuntu):
status: Incomplete → Fix Committed
status: Fix Committed → Incomplete
Revision history for this message
Didier Roche (didrocks) wrote :
Download full text (20.3 KiB)

On Thu, Aug 14, 2014 at 12:21 AM, Didier Roche <email address hidden> wrote:
> -> brise
> * BLOCKER: kyotocabinet-utils build-deps is in universe. Please add that one to the MIR if it matches the MIR criterias or drop those.

Added.

-> Thanks, looking at it.

> * BLOCKER: COPYING is GPL3. Some files are LGPL-2+, GPL-2+ and those requires the license to be shipped in the upstream source. Please make upstream to ship those in their tarball.

https://code.google.com/p/rimeime/issues/detail?id=644

-> do they plan to do a release soon? We can't promote brise without a release containing those files.

> * MINOR/NEED INFO: any idea why the source has a priority extra?
>

At the initial packaging time this engine isn't so popular and the
code does not build on architectures except x86 ones, so it's
considered to suit to a lower priority. Changed in git:
http://anonscm.debian.org/cgit/pkg-ime/brise.git/commit/?id=b56d9e588b5b654bae829b14b3ffa37186d7b266

-> Thanks for making the change!
For the record, your initial justification still didn't get into the extra bucket as defined by the debian policy: (https://www.debian.org/doc/debian-policy/ch-archive.html)
"""extra
This contains all packages that conflict with others with required, important, standard or optional priorities, or are only likely to be useful if you already know what they are or have specialized requirements (such as packages containing only detached debugging symbols)."""

> -------
> -> fcitx:

> * BLOCKER: presagege is missing as a build-dep, do you mind either not building with it (optional dep) or add it and check it matches the MIR criterias?

Added and checked presage and libtinyxml (b-d/dep of presage) to MIR.
Live without presage is doable, but better avoid that.

-> Thanks, looking to it.

> * BLOCKER: there are some LGPL files and no COPYING.LGPL file, please ship it in the upstream tarball.

https://github.com/fcitx/fcitx/issues/169

I can commit but usually don't do that directly.

-> Same than for brise, we need a release with this change before being able to promote to main.

> * NEED INFO/FIXING: fcitx-libs-gclient (and a lot of other binary packages): package-name-doesnt-match-sonames. Do you know why we don't follow upstream soname? They are at 0, so package name should be fcitx-libs-gclient0 as it's a public library. Otherwise, it should be in a private path.
> * NEED FIXING: I noted the remark on fcitx-libs in debian/README.source, and even if I'm not a fan of the current approach of the 3 libraries in the same package, I think we can live with it. However, we need to have a soname in the end, so that the binary package name can be bumped for any soname breaking in one of the 3 libraries (as some rdepends are not frmothe same source pacakage, like kde-config-fcitx or youker-assistant).

The reason is that we have done this for fcitx-libs before, so that
following the same convention. We plan to change that when next major
release of Fcitx is out, and for now the API/ABI is pretty stable for
a while so there is no real pressure to rush for that.

-> Still, this is a main criteria definition. So either have it committed to the packaging github and I can accept with...

Changed in libgooglepinyin (Ubuntu):
status: New → Incomplete
Changed in kyotocabinet (Ubuntu):
status: New → Incomplete
Changed in marisa (Ubuntu):
status: New → Incomplete
Changed in presage (Ubuntu):
status: New → Incomplete
Aron Xu (happyaron)
no longer affects: brise (Ubuntu)
no longer affects: librime (Ubuntu)
no longer affects: yaml-cpp (Ubuntu)
no longer affects: kyotocabinet (Ubuntu)
no longer affects: marisa (Ubuntu)
Aron Xu (happyaron)
no longer affects: fcitx-qimpanel-configtool (Ubuntu)
Revision history for this message
Aron Xu (happyaron) wrote :
Download full text (19.7 KiB)

On Fri, Aug 29, 2014 at 3:58 PM, Didier Roche <email address hidden> wrote:
> On Thu, Aug 14, 2014 at 12:21 AM, Didier Roche <email address hidden> wrote:
>> -> brise
>> * BLOCKER: kyotocabinet-utils build-deps is in universe. Please add that one to the MIR if it matches the MIR criterias or drop those.
>
> Added.
>
> -> Thanks, looking at it.
>

Removed from MIR, give up for RIME.

>> * BLOCKER: COPYING is GPL3. Some files are LGPL-2+, GPL-2+ and those
> requires the license to be shipped in the upstream source. Please make
> upstream to ship those in their tarball.
>
> https://code.google.com/p/rimeime/issues/detail?id=644
>
> -> do they plan to do a release soon? We can't promote brise without a
> release containing those files.
>

Removed from MIR, give up for RIME.

>
>> * MINOR/NEED INFO: any idea why the source has a priority extra?
>>
>
> At the initial packaging time this engine isn't so popular and the
> code does not build on architectures except x86 ones, so it's
> considered to suit to a lower priority. Changed in git:
> http://anonscm.debian.org/cgit/pkg-ime/brise.git/commit/?id=b56d9e588b5b654bae829b14b3ffa37186d7b266
>
> -> Thanks for making the change!
> For the record, your initial justification still didn't get into the extra bucket as defined by the debian policy: (https://www.debian.org/doc/debian-policy/ch-archive.html)
> """extra
> This contains all packages that conflict with others with required, important, standard or optional priorities, or are only likely to be useful if you already know what they are or have specialized requirements (such as packages containing only detached debugging symbols)."""
>
>
>> -------
>> -> fcitx:
>
>> * BLOCKER: presagege is missing as a build-dep, do you mind either not
> building with it (optional dep) or add it and check it matches the MIR
> criterias?
>
> Added and checked presage and libtinyxml (b-d/dep of presage) to MIR.
> Live without presage is doable, but better avoid that.
>
> -> Thanks, looking to it.
>
>> * BLOCKER: there are some LGPL files and no COPYING.LGPL file, please
> ship it in the upstream tarball.
>
> https://github.com/fcitx/fcitx/issues/169
>
> I can commit but usually don't do that directly.
>
> -> Same than for brise, we need a release with this change before being
> able to promote to main.
>

Uploaded to Debian, will sync to Ubuntu after being published.

>
>> * NEED INFO/FIXING: fcitx-libs-gclient (and a lot of other binary packages): package-name-doesnt-match-sonames. Do you know why we don't follow upstream soname? They are at 0, so package name should be fcitx-libs-gclient0 as it's a public library. Otherwise, it should be in a private path.
>> * NEED FIXING: I noted the remark on fcitx-libs in debian/README.source, and even if I'm not a fan of the current approach of the 3 libraries in the same package, I think we can live with it. However, we need to have a soname in the end, so that the binary package name can be bumped for any soname breaking in one of the 3 libraries (as some rdepends are not frmothe same source pacakage, like kde-config-fcitx or youker-assistant).
>
> The reason is that we have done this for fcitx-libs before, so that
> following t...

Revision history for this message
Didier Roche (didrocks) wrote :
Download full text (20.0 KiB)

Le 20/09/2014 00:08, Aron Xu a écrit :
>>> -------
>>> -> fcitx:
>>
>>> * BLOCKER: presagege is missing as a build-dep, do you mind either not
>> building with it (optional dep) or add it and check it matches the MIR
>> criterias?
>>
>> Added and checked presage and libtinyxml (b-d/dep of presage) to MIR.
>> Live without presage is doable, but better avoid that.
>>
>> -> Thanks, looking to it.
>>
>>> * BLOCKER: there are some LGPL files and no COPYING.LGPL file, please
>> ship it in the upstream tarball.
>>
>> https://github.com/fcitx/fcitx/issues/169
>>
>> I can commit but usually don't do that directly.
>>
>> -> Same than for brise, we need a release with this change before being
>> able to promote to main.
>>
>
> Uploaded to Debian, will sync to Ubuntu after being published.
Ack, keep me posted.

>
>
>>
>>> * NEED INFO/FIXING: fcitx-libs-gclient (and a lot of other binary packages): package-name-doesnt-match-sonames. Do you know why we don't follow upstream soname? They are at 0, so package name should be fcitx-libs-gclient0 as it's a public library. Otherwise, it should be in a private path.
>>> * NEED FIXING: I noted the remark on fcitx-libs in debian/README.source, and even if I'm not a fan of the current approach of the 3 libraries in the same package, I think we can live with it. However, we need to have a soname in the end, so that the binary package name can be bumped for any soname breaking in one of the 3 libraries (as some rdepends are not frmothe same source pacakage, like kde-config-fcitx or youker-assistant).
>>
>> The reason is that we have done this for fcitx-libs before, so that
>> following the same convention. We plan to change that when next major
>> release of Fcitx is out, and for now the API/ABI is pretty stable for
>> a while so there is no real pressure to rush for that.
>>
>> -> Still, this is a main criteria definition. So either have it
>> committed to the packaging github and I can accept without the change
>> being in ubuntu yet (please plan for the first library bump), either
>> ship with the soname change now to get it acked to main.
>>
>
> This is done in Debian git:
> http://anonscm.debian.org/cgit/pkg-ime/fcitx.git/commit/?id=07455aef1c1f19d85d5b68acaaa47ef3f6f464e7

Any upload planned with the fix?
>
>
>>
>>> * NEED FIXING: even if it's wrap under a sh call, better to be coherent and get the script executable: W: fcitx-bin: script-not-executable usr/share/fcitx/data/env_setup.sh
>>
>> This is intentional done by upstream, so after some communication I
>> don't see strong reason to maintain a diff.
>>
>> -> Ack.
>>
>>> * NEED FIXING: debian/copyright:
>>> - fcitx-4.2.8.4/src/frontend/qt/keyserver_x11.h: missing copyright to 2004 Jaroslaw Staniek <email address hidden>
>>> - fcitx-4.2.8.4/src/frontend/xim/lib/XimProto.h: missing the copyright (1992, 1993, 1994 by FUJITSU LIMITED)
>>> - src/ui/kimpanel/kimpanel.c. You set "Copyright: 2008-2010, Zealot.Hoi", but it misses "2010~2012 by CSSlayer *" (files: * doesn't cover it as it's overriden)
>>> - Copyright: 2003-2009, Troy D. Hanson http://uthash.sourceforge.net => it's actually 2003-2010
>>> - Files: src/lib/fcitx-utils/qsort_r.c. Please mention the short name ...

Aron Xu (happyaron)
no longer affects: fcitx-rime (Ubuntu)
Revision history for this message
Aron Xu (happyaron) wrote :
Download full text (24.5 KiB)

On Mon, Sep 22, 2014 at 1:59 PM, Didier Roche <email address hidden> wrote:
> Le 20/09/2014 00:08, Aron Xu a écrit :
>>>> -------
>>>> -> fcitx:
>>>
>>>> * BLOCKER: presagege is missing as a build-dep, do you mind either not
>>> building with it (optional dep) or add it and check it matches the MIR
>>> criterias?
>>>
>>> Added and checked presage and libtinyxml (b-d/dep of presage) to MIR.
>>> Live without presage is doable, but better avoid that.
>>>
>>> -> Thanks, looking to it.
>>>
>>>> * BLOCKER: there are some LGPL files and no COPYING.LGPL file, please
>>> ship it in the upstream tarball.
>>>
>>> https://github.com/fcitx/fcitx/issues/169
>>>
>>> I can commit but usually don't do that directly.
>>>
>>> -> Same than for brise, we need a release with this change before being
>>> able to promote to main.
>>>
>>
>> Uploaded to Debian, will sync to Ubuntu after being published.
> Ack, keep me posted.
>

This is done.

>>
>>
>>>
>>>> * NEED INFO/FIXING: fcitx-libs-gclient (and a lot of other binary packages): package-name-doesnt-match-sonames. Do you know why we don't follow upstream soname? They are at 0, so package name should be fcitx-libs-gclient0 as it's a public library. Otherwise, it should be in a private path.
>>>> * NEED FIXING: I noted the remark on fcitx-libs in debian/README.source, and even if I'm not a fan of the current approach of the 3 libraries in the same package, I think we can live with it. However, we need to have a soname in the end, so that the binary package name can be bumped for any soname breaking in one of the 3 libraries (as some rdepends are not frmothe same source pacakage, like kde-config-fcitx or youker-assistant).
>>>
>>> The reason is that we have done this for fcitx-libs before, so that
>>> following the same convention. We plan to change that when next major
>>> release of Fcitx is out, and for now the API/ABI is pretty stable for
>>> a while so there is no real pressure to rush for that.
>>>
>>> -> Still, this is a main criteria definition. So either have it
>>> committed to the packaging github and I can accept without the change
>>> being in ubuntu yet (please plan for the first library bump), either
>>> ship with the soname change now to get it acked to main.
>>>
>>
>> This is done in Debian git:
>> http://anonscm.debian.org/cgit/pkg-ime/fcitx.git/commit/?id=07455aef1c1f19d85d5b68acaaa47ef3f6f464e7
>
> Any upload planned with the fix?

Yes, I'm still playing with some changes with symbol files, and will
let it hit NEW to Debian then.

>>
>>
>>>
>>>> * NEED FIXING: even if it's wrap under a sh call, better to be coherent and get the script executable: W: fcitx-bin: script-not-executable usr/share/fcitx/data/env_setup.sh
>>>
>>> This is intentional done by upstream, so after some communication I
>>> don't see strong reason to maintain a diff.
>>>
>>> -> Ack.
>>>
>>>> * NEED FIXING: debian/copyright:
>>>> - fcitx-4.2.8.4/src/frontend/qt/keyserver_x11.h: missing copyright to 2004 Jaroslaw Staniek <email address hidden>
>>>> - fcitx-4.2.8.4/src/frontend/xim/lib/XimProto.h: missing the copyright (1992, 1993, 1994 by FUJITSU LIMITED)
>>>> - src/ui/kimpanel/kimpanel.c. You set "Copyright: 2008-2010, Zealot.Hoi", but it...

Changed in fcitx (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-anthy (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: Incomplete → Confirmed
Changed in presage (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: Incomplete → Confirmed
Aron Xu (happyaron)
Changed in fcitx-sunpinyin (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: Incomplete → Confirmed
Changed in fcitx-qimpanel (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: Incomplete → Confirmed
Changed in fcitx-m17n (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: Incomplete → Confirmed
Aron Xu (happyaron)
Changed in fcitx-qt5 (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in fcitx-configtool (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Aron Xu (happyaron)
Changed in fcitx-cloudpinyin (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Aron Xu (happyaron)
Changed in fcitx-googlepinyin (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in fcitx-hangul (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Aron Xu (happyaron)
affects: libtinyxml (Ubuntu) → tinyxml (Ubuntu)
Changed in tinyxml (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in fcitx-chewing (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in libgooglepinyin (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in fcitx-table-other (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in fcitx-table-extra (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Revision history for this message
Aron Xu (happyaron) wrote :

@didrocks,

Would you mind to have a look at this MIR again? As far as I can see, all stuff mentioned before are fixed.

At this moment an update for libgooglepinyin just hit Debian experimental and will be synced once published, changes are at http://anonscm.debian.org/cgit/pkg-ime/libgooglepinyin.git

Aron Xu (happyaron)
Changed in fcitx-cloudpinyin (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-configtool (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-googlepinyin (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-hangul (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-qt5 (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-table-extra (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-table-other (Ubuntu):
status: Incomplete → Confirmed
Aron Xu (happyaron)
Changed in libgooglepinyin (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :
Download full text (5.9 KiB)

General comment: why resetting fcitx-hangul, fcitx-m17n, fcitx-sunpinyin and fcitx-table-extra from incomplete to confirmed? Seems that no release to fix the blockers have been uploaded, so previous state remains the same. Please get an upstream release and an upload to ubuntu to fix the blockers before turning that state.

---

-> fcitx:
* NEEDS FIXING: transitional packages like fcitx-libs-gclient, fcitx-libs-qt and fcitx-libs:
- please remove the whole description stenza in debian/control and use a snippet like in https://wiki.debian.org/Renaming_a_Package (Method 2):
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
This will avoid puzzling the users between the 2 packages if they are equivalent (which seems to be the case, as they just depends on the other package).
- its section should be oldlibs
- also, please update the recommends/depends from other package (they still depend on the transitional package): fcitx-libs: Recommends: fcitx-libs-gclient (>= ${source:Version}). It should be on libfcitx-gclient0.

* NEEDS FIXING: I guess the autostart binary (in fcitx-bin) shouldn't be in usr/bin, but more in an exec path like libexec for instance. You told upstream liked the idea, any news since september for a release with this? I would prefer that we don't pulling the user PATH with autostart content.

* NEEDS INFO: IIRC, you told me that the .conf and .mk in fcitx-table-* packages are arch dependent (they are shipped in arch-dependent package anyway). If this is the case, they shouldn't be installed in usr/share as it's a policy violation and should rather be in libexec.

---

-> fcitx-anthy:
* MINOR: debian/copyright miss some more fixes:
src/preedit.cpp: Copyright: 2004-2005 Takuro Ashie / 2012 CSSlayer
src/action.*: miss Copyright: 2012 CSSlayer

---

-> fcitx-cloudpinyin
Ack, putting to Fix committed

---

-> fcitx-configtool
Ack, putting to Fix committed

---

-> fcitx-googlepinyin
Ack, putting to Fix committed

---

-> fcitx-hangul
2 issues fixed in debian git, but no upload for this yet since september. Needs an ubuntu upload for this:
* The package is multi-arch and should be marked as such in debian/control (http://anonscm.debian.org/cgit/pkg-ime/fcitx-hangul.git/commit/?id=0d4418f3a35e1346f6c4461d3eb5d97016e4f002)
* missing Copyright: 2012 CSSlayer <email address hidden> -> should be 2010-2012 (http://anonscm.debian.org/cgit/pkg-ime/fcitx-hangul.git/commit/?id=648c746466c92d6b9a86a5d4bcade691e57b2f86)

---

-> fcitx-m17n:
2 issues fixed in debian git, but no upload for this yet since september. Needs an ubuntu upload for this:
* The package is multi-arch and should be marked as such in debian/control (http://anonscm.debian.org/cgit/pkg-ime/fcitx-m17n.git/commit/?id=15108dfe41f329f4bb041ca96f2dbebda117ec24)
* missing Copyright: 1995-1997 Peter Mattis, Spencer Kimball and Josh MacDonald in im/keysymname.c (http://anonscm.debian.org/cgit/pkg-ime/fcitx-
>>> m17n.git/commit/?id=9d981e902b048bc3cdb74d94b15ab896ae8029da)

---

-> fcitx-qimpanel:
* NEEDS FIXING: I guess the autostart binary shouldn't be in usr/bin, but more in an exec path like libexec for instance. You told upstre...

Read more...

Changed in fcitx-cloudpinyin (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-configtool (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-googlepinyin (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-table-other (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx (Ubuntu):
status: Confirmed → Incomplete
Changed in fcitx-anthy (Ubuntu):
status: Confirmed → Incomplete
Changed in fcitx-hangul (Ubuntu):
status: Confirmed → Incomplete
Changed in fcitx-m17n (Ubuntu):
status: Confirmed → Incomplete
Changed in fcitx-qimpanel (Ubuntu):
status: Confirmed → Incomplete
Changed in fcitx-qt5 (Ubuntu):
status: Confirmed → Incomplete
Changed in fcitx-sunpinyin (Ubuntu):
status: Confirmed → Incomplete
Changed in fcitx-table-extra (Ubuntu):
status: Confirmed → Incomplete
Changed in libgooglepinyin (Ubuntu):
status: Confirmed → Incomplete
Changed in presage (Ubuntu):
status: Confirmed → Incomplete
Changed in tinyxml (Ubuntu):
status: New → Incomplete
Revision history for this message
Aron Xu (happyaron) wrote :
Download full text (7.0 KiB)

On Mon, Jan 12, 2015 at 11:27 PM, Didier Roche <email address hidden> wrote:

> General comment: why resetting fcitx-hangul, fcitx-m17n, fcitx-
> sunpinyin and fcitx-table-extra from incomplete to confirmed? Seems that
> no release to fix the blockers have been uploaded, so previous state
> remains the same. Please get an upstream release and an upload to ubuntu
> to fix the blockers before turning that state.
>
> ---
>
> -> fcitx:
> * NEEDS FIXING: transitional packages like fcitx-libs-gclient,
> fcitx-libs-qt and fcitx-libs:
> - please remove the whole description stenza in debian/control and use a
> snippet like in https://wiki.debian.org/Renaming_a_Package (Method 2):
> Description: transitional dummy package
> This is a transitional dummy package. It can safely be removed.
> This will avoid puzzling the users between the 2 packages if they are
> equivalent (which seems to be the case, as they just depends on the other
> package).
> - its section should be oldlibs
> - also, please update the recommends/depends from other package (they
> still depend on the transitional package): fcitx-libs: Recommends:
> fcitx-libs-gclient (>= ${source:Version}). It should be on
> libfcitx-gclient0.
>
>
Fixed.

> * NEEDS FIXING: I guess the autostart binary (in fcitx-bin) shouldn't be
> in usr/bin, but more in an exec path like libexec for instance. You told
> upstream liked the idea, any news since september for a release with
> this? I would prefer that we don't pulling the user PATH with autostart
> content.
>
>
Upstream changed their mind because they think it's a tool that can be used
to detect whether fcitx is running already, and they don't think renaming
it useful. Can we keep it there?

> * NEEDS INFO: IIRC, you told me that the .conf and .mk in fcitx-table-*
> packages are arch dependent (they are shipped in arch-dependent package
> anyway). If this is the case, they shouldn't be installed in usr/share
> as it's a policy violation and should rather be in libexec.
>
>
Fixed. They are not arch-dependent anymore, it now uses little-endian
across all platform. I've moved those files to arch:all and added
version-ed dependency to fcitx-table.

>
> -> fcitx-anthy:
> * MINOR: debian/copyright miss some more fixes:
> src/preedit.cpp: Copyright: 2004-2005 Takuro Ashie / 2012 CSSlayer
> src/action.*: miss Copyright: 2012 CSSlayer
>
>
Fixed.

> ---
>
> -> fcitx-hangul
> 2 issues fixed in debian git, but no upload for this yet since september.
> Needs an ubuntu upload for this:
> * The package is multi-arch and should be marked as such in debian/control
> (
> http://anonscm.debian.org/cgit/pkg-ime/fcitx-hangul.git/commit/?id=0d4418f3a35e1346f6c4461d3eb5d97016e4f002
> )
> * missing Copyright: 2012 CSSlayer <email address hidden> -> should be
> 2010-2012 (
> http://anonscm.debian.org/cgit/pkg-ime/fcitx-hangul.git/commit/?id=648c746466c92d6b9a86a5d4bcade691e57b2f86
> )
>
>
Fixed.

> ---
>
> -> fcitx-m17n:
> 2 issues fixed in debian git, but no upload for this yet since september.
> Needs an ubuntu upload for this:
> * The package is multi-arch and should be marked as such in debian/control
> (
> http://anonscm.debian.org/cgit/pkg-ime/fcitx-m17n.git/commit/...

Read more...

Aron Xu (happyaron)
Changed in fcitx (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-anthy (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-hangul (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-m17n (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-qimpanel (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-qt5 (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-sunpinyin (Ubuntu):
status: Incomplete → Confirmed
Changed in fcitx-table-extra (Ubuntu):
status: Incomplete → Confirmed
Changed in libgooglepinyin (Ubuntu):
status: Incomplete → Confirmed
Changed in presage (Ubuntu):
status: Incomplete → Confirmed
Changed in tinyxml (Ubuntu):
status: Incomplete → Confirmed
Didier Roche (didrocks)
Changed in fcitx (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-hangul (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-anthy (Ubuntu):
status: Confirmed → Fix Committed
Didier Roche (didrocks)
Changed in fcitx-m17n (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-qimpanel (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-qt5 (Ubuntu):
status: Confirmed → Fix Committed
Changed in fcitx-sunpinyin (Ubuntu):
status: Confirmed → Fix Committed
Revision history for this message
Didier Roche (didrocks) wrote :

Le 10/02/2015 18:14, Aron Xu a écrit :
> On Mon, Jan 12, 2015 at 11:27 PM, Didier Roche <email address hidden>
> wrote:
>
>>
>> ---
>>
>> -> fcitx:
>> * NEEDS FIXING: I guess the autostart binary (in fcitx-bin) shouldn't be
>> in usr/bin, but more in an exec path like libexec for instance. You told
>> upstream liked the idea, any news since september for a release with
>> this? I would prefer that we don't pulling the user PATH with autostart
>> content.
>>
>>
> Upstream changed their mind because they think it's a tool that can be used
> to detect whether fcitx is running already, and they don't think renaming
> it useful. Can we keep it there?

Fair enough :)

All good an approved, thanks a lot for the modifications! So now, get something in main depending on fcitx and other packages (like seeding, or a recommends/deps) and we'll promote to main the needed binaries.

Changed in fcitx-table-extra (Ubuntu):
status: Confirmed → Fix Committed
Changed in presage (Ubuntu):
status: Confirmed → Fix Committed
Changed in libgooglepinyin (Ubuntu):
status: Confirmed → Fix Committed
Changed in tinyxml (Ubuntu):
status: Confirmed → Fix Committed
Revision history for this message
Adam Conrad (adconrad) wrote :
Download full text (30.0 KiB)

Override component to main
tinyxml 2.6.2-2 in vivid: universe/libs -> main
libtinyxml-dev 2.6.2-2 in vivid amd64: universe/libdevel/optional/100% -> main
libtinyxml-dev 2.6.2-2 in vivid arm64: universe/libdevel/optional/100% -> main
libtinyxml-dev 2.6.2-2 in vivid armhf: universe/libdevel/optional/100% -> main
libtinyxml-dev 2.6.2-2 in vivid i386: universe/libdevel/optional/100% -> main
libtinyxml-dev 2.6.2-2 in vivid powerpc: universe/libdevel/optional/100% -> main
libtinyxml-dev 2.6.2-2 in vivid ppc64el: universe/libdevel/optional/100% -> main
libtinyxml-doc 2.6.2-2 in vivid amd64: universe/doc/extra/100% -> main
libtinyxml-doc 2.6.2-2 in vivid arm64: universe/doc/extra/100% -> main
libtinyxml-doc 2.6.2-2 in vivid armhf: universe/doc/extra/100% -> main
libtinyxml-doc 2.6.2-2 in vivid i386: universe/doc/extra/100% -> main
libtinyxml-doc 2.6.2-2 in vivid powerpc: universe/doc/extra/100% -> main
libtinyxml-doc 2.6.2-2 in vivid ppc64el: universe/doc/extra/100% -> main
libtinyxml2.6.2 2.6.2-2 in vivid amd64: universe/libs/optional/100% -> main
libtinyxml2.6.2 2.6.2-2 in vivid arm64: universe/libs/optional/100% -> main
libtinyxml2.6.2 2.6.2-2 in vivid armhf: universe/libs/optional/100% -> main
libtinyxml2.6.2 2.6.2-2 in vivid i386: universe/libs/optional/100% -> main
libtinyxml2.6.2 2.6.2-2 in vivid powerpc: universe/libs/optional/100% -> main
libtinyxml2.6.2 2.6.2-2 in vivid ppc64el: universe/libs/optional/100% -> main
libtinyxml2.6.2-dbg 2.6.2-2 in vivid amd64: universe/debug/extra/100% -> main
libtinyxml2.6.2-dbg 2.6.2-2 in vivid arm64: universe/debug/extra/100% -> main
libtinyxml2.6.2-dbg 2.6.2-2 in vivid armhf: universe/debug/extra/100% -> main
libtinyxml2.6.2-dbg 2.6.2-2 in vivid i386: universe/debug/extra/100% -> main
libtinyxml2.6.2-dbg 2.6.2-2 in vivid powerpc: universe/debug/extra/100% -> main
libtinyxml2.6.2-dbg 2.6.2-2 in vivid ppc64el: universe/debug/extra/100% -> main
presage 0.9-1ubuntu3 in vivid: universe/devel -> main
gprompter 0.9-1ubuntu3 in vivid amd64: universe/misc/extra/100% -> main
gprompter 0.9-1ubuntu3 in vivid arm64: universe/misc/extra/100% -> main
gprompter 0.9-1ubuntu3 in vivid armhf: universe/misc/extra/100% -> main
gprompter 0.9-1ubuntu3 in vivid i386: universe/misc/extra/100% -> main
gprompter 0.9-1ubuntu3 in vivid powerpc: universe/misc/extra/100% -> main
gprompter 0.9-1ubuntu3 in vivid ppc64el: universe/misc/extra/100% -> main
gprompter-dbg 0.9-1ubuntu3 in vivid amd64: universe/debug/extra/100% -> main
gprompter-dbg 0.9-1ubuntu3 in vivid arm64: universe/debug/extra/100% -> main
gprompter-dbg 0.9-1ubuntu3 in vivid armhf: universe/debug/extra/100% -> main
gprompter-dbg 0.9-1ubuntu3 in vivid i386: universe/debug/extra/100% -> main
gprompter-dbg 0.9-1ubuntu3 in vivid powerpc: universe/debug/extra/100% -> main
gprompter-dbg 0.9-1ubuntu3 in vivid ppc64el: universe/debug/extra/100% -> main
libpresage-data 0.9-1ubuntu3 in vivid amd64: universe/libs/extra/100% -> main
libpresage-data 0.9-1ubuntu3 in vivid arm64: universe/libs/extra/100% -> main
libpresage-data 0.9-1ubuntu3 in vivid armhf: universe/libs/extra/100% -> main
libpresage-data 0.9-1ubuntu3 in vivid i386: universe/libs/extra/100% -> main
libpresage-data 0.9-1ubu...

Changed in tinyxml (Ubuntu):
assignee: Didier Roche (didrocks) → Adam Conrad (adconrad)
status: Fix Committed → Fix Released
Changed in presage (Ubuntu):
assignee: Didier Roche (didrocks) → Adam Conrad (adconrad)
status: Fix Committed → Fix Released
Changed in fcitx (Ubuntu):
assignee: Didier Roche (didrocks) → Adam Conrad (adconrad)
status: Fix Committed → Fix Released
Changed in fcitx-qt5 (Ubuntu):
assignee: Didier Roche (didrocks) → Adam Conrad (adconrad)
status: Fix Committed → Fix Released
Changed in fcitx-configtool (Ubuntu):
assignee: Didier Roche (didrocks) → Adam Conrad (adconrad)
status: Fix Committed → Fix Released
Revision history for this message
Aron Xu (happyaron) wrote :

Adding extra-cmake-modules to this MIR, as future releases of Fcitx components will build depend on ECM directly. No blocking problem pops up while my checking the package, and team ~kubuntu-bugs is subscribed to the package's bugs.

Changed in extra-cmake-modules (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → Confirmed
Revision history for this message
Didier Roche (didrocks) wrote :

For the record, we got the canonical desktop team subscribed to it as well.

Accepting extra-cmake-modules, nothing to spot on this trivial package with a great test suite.

Changed in extra-cmake-modules (Ubuntu):
status: Confirmed → Fix Committed
Revision history for this message
Matthias Klose (doko) wrote :

Override component to main
extra-cmake-modules 1.7.0-0ubuntu2 in vivid: universe/libs -> main
extra-cmake-modules 1.7.0-0ubuntu2 in vivid amd64: universe/libs/optional/100% -> main
extra-cmake-modules 1.7.0-0ubuntu2 in vivid arm64: universe/libs/optional/100% -> main
extra-cmake-modules 1.7.0-0ubuntu2 in vivid armhf: universe/libs/optional/100% -> main
extra-cmake-modules 1.7.0-0ubuntu2 in vivid i386: universe/libs/optional/100% -> main
extra-cmake-modules 1.7.0-0ubuntu2 in vivid powerpc: universe/libs/optional/100% -> main
extra-cmake-modules 1.7.0-0ubuntu2 in vivid ppc64el: universe/libs/optional/100% -> main
7 publications overridden.

Changed in extra-cmake-modules (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Didier Roche (didrocks) wrote :

Override component to main
fcitx-cloudpinyin 0.3.4-2 in vivid: universe/utils -> main
fcitx-module-cloudpinyin 0.3.4-2 in vivid amd64: universe/utils/optional/100% -> main
fcitx-module-cloudpinyin 0.3.4-2 in vivid arm64: universe/utils/optional/100% -> main
fcitx-module-cloudpinyin 0.3.4-2 in vivid armhf: universe/utils/optional/100% -> main
fcitx-module-cloudpinyin 0.3.4-2 in vivid i386: universe/utils/optional/100% -> main
fcitx-module-cloudpinyin 0.3.4-2 in vivid powerpc: universe/utils/optional/100% -> main
fcitx-module-cloudpinyin 0.3.4-2 in vivid ppc64el: universe/utils/optional/100% -> main
fcitx-qimpanel 2.0.0-0ubuntu1 in vivid: universe/utils -> main
fcitx-ui-qimpanel 2.0.0-0ubuntu1 in vivid amd64: universe/utils/optional/100% -> main
fcitx-ui-qimpanel 2.0.0-0ubuntu1 in vivid arm64: universe/utils/optional/100% -> main
fcitx-ui-qimpanel 2.0.0-0ubuntu1 in vivid armhf: universe/utils/optional/100% -> main
fcitx-ui-qimpanel 2.0.0-0ubuntu1 in vivid i386: universe/utils/optional/100% -> main
fcitx-ui-qimpanel 2.0.0-0ubuntu1 in vivid powerpc: universe/utils/optional/100% -> main
fcitx-ui-qimpanel 2.0.0-0ubuntu1 in vivid ppc64el: universe/utils/optional/100% -> main

Changed in fcitx-cloudpinyin (Ubuntu):
status: Fix Committed → Fix Released
Changed in fcitx-qimpanel (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@Aron: I added a fcitx-unikey task as a reminder due to bug #1459080.

Michael Terry (mterry)
Changed in fcitx-unikey (Ubuntu):
status: New → Fix Committed
Revision history for this message
Didier Roche (didrocks) wrote :

Aron: lpease open a new MIR as this one is already quite long and not really readable :p

That will help as well to have a new rationale to why this additional package is needed compared to the initial MIR and about the support and so on…

Thanks a lot in advance!

no longer affects: mozc (Ubuntu)
Iain Lane (laney)
Changed in fcitx-hangul (Ubuntu):
status: Fix Committed → Fix Released
Changed in fcitx-unikey (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Matthias Klose (doko) wrote :

Didier, please could you follow-up on the "committed tasks"? Looks like these would need some seeding.

Revision history for this message
Didier Roche (didrocks) wrote :

we demoted fcitx mid-2017.

Revision history for this message
Matthias Klose (doko) wrote :

ok, then closing all these as won't fix.

Changed in fcitx-anthy (Ubuntu):
status: Fix Committed → Won't Fix
Changed in fcitx-chewing (Ubuntu):
status: Fix Committed → Won't Fix
Changed in fcitx-googlepinyin (Ubuntu):
status: Fix Committed → Won't Fix
Changed in fcitx-m17n (Ubuntu):
status: Fix Committed → Won't Fix
Changed in fcitx-sunpinyin (Ubuntu):
status: Fix Committed → Won't Fix
Changed in fcitx-table-extra (Ubuntu):
status: Fix Committed → Won't Fix
Changed in fcitx-table-other (Ubuntu):
status: Fix Committed → Won't Fix
Changed in libgooglepinyin (Ubuntu):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.